sailpoint.tools

## Class Util.ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - sailpoint.tools.Util.ParseException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Util

    public static class Util.ParseException
    extends java.lang.RuntimeException

A runtime exception that is thrown when decoding fails.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException(java.lang.String msg, java.lang.String s, int startIdx)`
`ParseException(java.lang.String msg, java.lang.String s, int startIdx, java.lang.Exception e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(java.lang.String msg,
                          java.lang.String s,
                          int startIdx)

#### ParseException

    public ParseException(java.lang.String msg,
                          java.lang.String s,
                          int startIdx,
                          java.lang.Exception e)